## baloo 4.14.3

=== CMakeLists.txt ===
project(baloo)

set(BALOO_VERSION_MAJOR 4)
set(BALOO_VERSION_MINOR 14)
set(BALOO_VERSION_RELEASE 3)
set(BALOO_VERSION "${BALOO_VERSION_MAJOR}.${BALOO_VERSION_MINOR}.${BALOO_VERSION_RELEASE}")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(KdepimLibs 4.14.0 CONFIG)
set_package_properties(KdepimLibs PROPERTIES
    DESCRIPTION "The KDEPIM libraries"
    URL "http://www.kde.org"
    TYPE REQUIRED
)

find_package(Xapian CONFIG)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "The Xapian search engine library"
    URL "http://xapian.org"
    TYPE REQUIRED
)

find_package(KFileMetaData CONFIG)
set_package_properties(KFileMetaData PROPERTIES
    DESCRIPTION "A library for extracting file metadata"
    URL "https://projects.kde.org/kfilemetadata"
    TYPE REQUIRED
)

find_package(QJSON)
set_package_properties(QJSON PROPERTIES
    DESCRIPTION "Qt library for handling JSON data"
    URL "http://qjson.sourceforge.net/"
    TYPE REQUIRED
)

find_package(Akonadi 1.12.90 CONFIG)
set_package_properties(Akonadi PROPERTIES
    URL "http://akonadi-project.org"
    TYPE REQUIRED
)

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

add_definitions(-DQT_NO_KEYWORDS)
add_definitions(${KDE4_ENABLE_EXCEPTIONS})
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${QT_INCLUDES}
  ${QJSON_INCLUDE_DIR}
  ${KFILEMETADATA_INCLUDE_DIR}
  ${XAPIAN_INCLUDE_DIR}
  ${KDEPIMLIBS_INCLUDE_DIRS}
  ${AKONADI_INCLUDE_DIR}
  ${KDE4_INCLUDES}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/core
  ${CMAKE_SOURCE_DIR}/src/file/lib
  ${CMAKE_SOURCE_DIR}/src/xapian
)

add_subdirectory(src)
add_subdirectory(icons)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/BalooConfig.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/BalooConfig.cmake @ONLY)

# this file is used by to check if the installed version can be used.
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/BalooConfigVersion.cmake
                                     ${BALOO_VERSION_MAJOR} ${BALOO_VERSION_MINOR} ${BALOO_VERSION_RELEASE})


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/BalooConfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/BalooConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/Baloo)
install(EXPORT BalooLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/Baloo
        FILE BalooTargetsWithPrefix.cmake)

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(xapian)
add_subdirectory(file)
add_subdirectory(pim)
add_subdirectory(kioslaves)
add_subdirectory(tools)
add_subdirectory(runner)
add_subdirectory(queryparser)

=== src/queryparser/CMakeLists.txt ===
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

set(QUERYPARSER_SRCS
    completionproposal.cpp
    pass_comparators.cpp
    pass_dateperiods.cpp
    pass_datevalues.cpp
    pass_decimalvalues.cpp
    pass_filenames.cpp
    pass_filesize.cpp
    pass_numbers.cpp
    pass_periodnames.cpp
    pass_properties.cpp
    pass_splitunits.cpp
    pass_subqueries.cpp
    pass_typehints.cpp
    patternmatcher.cpp
    queryparser.cpp
    utils.cpp
)

kde4_add_library(balooqueryparser SHARED ${QUERYPARSER_SRCS})

target_link_libraries(balooqueryparser
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBRARY}
    baloocore
)

set_target_properties(balooqueryparser PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_VERSION_MAJOR}
)

install(TARGETS balooqueryparser EXPORT BalooLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    completionproposal.h
    queryparser.h

    queryparser_export.h

    DESTINATION ${INCLUDE_INSTALL_DIR}/baloo COMPONENT Devel
)

add_subdirectory(autotests)

=== src/core/autotests/CMakeLists.txt ===
#
# Query Serialization
#
set(querySerialization_SRC queryserializationtest.cpp)

kde4_add_unit_test(queryserializationtest NOGUI ${querySerialization_SRC})

target_link_libraries(queryserializationtest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  baloocore
)

=== src/file/autotest/CMakeLists.txt ===
project(filewatch_tests)

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  set(kinotifytest_SRC kinotifytest.cpp ../kinotify.cpp)
  kde4_add_unit_test(kinotifytest TESTNAME nepomuk-kinotifytest NOGUI ${kinotifytest_SRC})
  target_link_libraries(kinotifytest
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
  )
endif(CMAKE_SYSTEM_NAME MATCHES "Linux")

set(activefilequeuetest_SRC activefilequeuetest.cpp ../activefilequeue.cpp)
kde4_add_unit_test(activefilequeuetest TESTNAME nepomuk-activefilequeuetest NOGUI ${activefilequeuetest_SRC})
target_link_libraries(activefilequeuetest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
)

#
# Metadata Mover
#
set(metadatamover_SRC
    metadatamovertest.cpp
    ../metadatamover.cpp
    ../database.cpp
    ../lib/filemapping.cpp)

kde4_add_unit_test(metadatamovertest NOGUI ${metadatamover_SRC})
set_target_properties(metadatamovertest PROPERTIES COMPILE_FLAGS -DBALOO_FILE_EXPORT=)
target_link_libraries(metadatamovertest
  ${QT_QTTEST_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${XAPIAN_LIBRARIES}
  balooxapian
)

#
# File Monitor
#
set(fileMonitor_SRC filemonitortest.cpp)

kde4_add_unit_test(filemonitortest NOGUI ${fileMonitor_SRC})

target_link_libraries(filemonitortest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  baloofiles
)

#
# File Indexing Config
#
set(indexingConfig_SRC
    fileindexerconfigtest.cpp
    ../fileindexerconfig.cpp
    ../regexpcache.cpp
    ../fileexcludefilters.cpp
)

kde4_add_unit_test(fileindexerconfigtest NOGUI ${indexingConfig_SRC})

target_link_libraries(fileindexerconfigtest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
)

#
# Basic Indexing Queue Test
#

set(basicIndexingQueue_SRC
    basicindexingqueuetest.cpp
    ../basicindexingqueue.cpp
    ../basicindexingjob.cpp
    ../indexingqueue.cpp
    ../fileindexerconfig.cpp
    ../fileexcludefilters.cpp
    ../regexpcache.cpp
    ../database.cpp
    ../util.cpp
    ../lib/filemapping.cpp
)

kde4_add_unit_test(basicindexingqueuetest NOGUI ${basicIndexingQueue_SRC})
set_target_properties(basicindexingqueuetest PROPERTIES COMPILE_FLAGS -DBALOO_FILE_EXPORT=)
target_link_libraries(basicindexingqueuetest
  ${QT_QTTEST_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KFILEMETADATA_LIBRARY}
  ${XAPIAN_LIBRARIES}
  balooxapian
)

add_subdirectory(fileindexingjob)

=== src/file/extractor/CMakeLists.txt ===
set(EXTRACTOR_SRCS
  main.cpp
  app.cpp
  result.cpp
  ../priority.cpp
  ../basicindexingjob.cpp
  ../database.cpp
  ../util.cpp
  ../fileindexerconfig.cpp
  ../regexpcache.cpp
  ../fileexcludefilters.cpp
)

kde4_add_executable(baloo_file_extractor ${EXTRACTOR_SRCS})

target_link_libraries(baloo_file_extractor
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KFILEMETADATA_LIBRARY}
  ${XAPIAN_LIBRARIES}
  ${QJSON_LIBRARIES}
  baloofiles
  balooxapian
)

install(TARGETS baloo_file_extractor DESTINATION ${BIN_INSTALL_DIR})

add_subdirectory(autotests)

=== src/file/autotest/fileindexingjob/CMakeLists.txt ===
add_executable(baloo_file_extractor_dummy extractor.cpp)
set_target_properties(baloo_file_extractor_dummy
    PROPERTIES OUTPUT_NAME baloo_file_extractor
)

target_link_libraries(baloo_file_extractor_dummy
  ${KDE4_KDECORE_LIBS}
)
if(WIN32)
    set_target_properties(baloo_file_extractor_dummy
        PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()
add_definitions("-DBALOO_TEMP_PATH=\\\"${CMAKE_CURRENT_BINARY_DIR}\\\"")
kde4_add_unit_test(fileindexingjobtest NOGUI fileindexingjobtest.cpp
                                             ../../fileindexingjob.cpp)
set_target_properties(fileindexingjobtest PROPERTIES COMPILE_FLAGS -DBALOO_FILE_EXPORT=)
target_link_libraries(fileindexingjobtest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KFILEMETADATA_LIBRARY}
  ${XAPIAN_LIBRARIES}
)

=== src/pim/search/contact/CMakeLists.txt ===
kde4_add_plugin(baloo_contactsearchstore contactsearchstore.cpp ../pimsearchstore.cpp)

target_link_libraries(baloo_contactsearchstore
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBRARY}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${XAPIAN_LIBRARIES}
    baloocore
    balooxapian
)

install(FILES baloo_contactsearchstore.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS baloo_contactsearchstore DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
baloo (4:4.14.3-3) unstable; urgency=medium

  * Team upload.
  * Merge changes from 4:4.14.2-1.1 and 4:4.14.2-2.
  * Confirm the symbols on more architectures.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Jul 2016 21:33:45 +0200

baloo (4:4.14.3-2) unstable; urgency=medium

  * Team upload.
  * Drop the transitional baloo package, since it is also a real package
    generated by the baloo-kf5 source.
    - drop the baloo provides from baloo4

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2016 18:59:14 +0200

baloo (4:4.14.3-1) unstable; urgency=medium

  * Team upload.
  * Last upstream release.
  * Remove baloo-dbg in favour of the -dbgsym packages.
  * Update Vcs-* fields.
  * Remove obsolete Ubuntu fields.
  * Rename XS-Testsuite field as Testsuite.
  * Small fixes to copyright.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Stop using ${shlibs:Depends} in baloo-dev, as it's empty.
  * Backport upstream commit 1cb511b205fb9f283e1f6bb2fedb2e8206d93540 to set
    the cmake minimum version required and policies, and build properly with
    that; patch
    upstream_Set-cmake_minimum_required-to-set-the-cmake-policies.patch.
  * Backport upstream commit e898ea0ed2f89d977c41671ac2a93b4fd3b9b6c6 to fix
    linking against baloofiles using cmake; patch
    upstream_baloofiles-was-missing-the-EXPORT-that-other-libs-ha.patch.
  * Remove unused lintian overrides.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2016 08:29:47 +0200

baloo (4:4.14.2-2) unstable; urgency=medium

  * Update symbols files. (Closes: #777792)
  * Drop transitional package present in the kf5 version.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Aug 2015 11:54:39 +0200

baloo (4:4.14.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on libqt4-sql-sqlite (Closes: #781896, #765084)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 21 Apr 2015 17:23:58 +0200

=== debian/control ===
Source: baloo
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.13.0),
               kdepimlibs5-dev (>= 4:4.14.0),
               libakonadi-dev (>= 1.12.90),
               libattr1-dev,
               libboost-dev,
               libkfilemetadata-dev (>= 4:4.13.0),
               libqjson-dev,
               libxapian-dev,
               pkg-kde-tools,
               libx11-dev
Build-Conflicts: libkfilemetadata5-dev
Standards-Version: 3.9.8
Testsuite: autopkgtest
Homepage: http://projects.kde.org/baloo
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/baloo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/baloo.git

Package: baloo4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         baloo-utils,
         libqt4-sql-sqlite
Replaces: baloo (<< 4:4.13.2-0ubuntu3),
          kde-runtime (<< 4:4.12.80),
          kde-runtime-data (<< 4:4.12.80)
Breaks: baloo (<< 4:4.13.2-0ubuntu3),
        kde-runtime (<< 4:4.12.80),
        kde-runtime-data (<< 4:4.12.80)
Conflicts: baloo-kf5, baloo-kf5-data
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE.
 .
 This package contains the kdelibs4 version of the binaries, it can also
 be replaced with baloo-kf5.

Package: baloo-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: baloo (<< 4:4.13.2-0ubuntu3),
          kde-runtime (<< 4:4.12.80),
          kde-runtime-data (<< 4:4.12.80)
Breaks: baloo (<< 4:4.13.2-0ubuntu3),
        kde-runtime (<< 4:4.12.80),
        kde-runtime-data (<< 4:4.12.80)
Description: utilities for Baloo
 A framework for searching and managing metadata in KDE.
 .
 This package contains kdelibs4 utilities for Baloo.

Package: libbaloocore4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo core library.
 .
 Baloo is part of KDE SC.

Package: libbaloofiles4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: files functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo files library.
 .
 Baloo is part of KDE SC.

Package: libbaloopim4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo PIM library.
 .
 Baloo is part of KDE SC.

Package: libbalooqueryparser4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: query Parser for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo query parser library ported from Nepomuk.
 .
 Baloo is part of KDE SC.

Package: libbalooxapian4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xapian functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo Xapian library.
 .
 Baloo is part of KDE SC.

Package: baloo-dev
Architecture: any
Section: libdevel
Depends: libbaloocore4 (= ${binary:Version}),
         libbaloofiles4 (= ${binary:Version}),
         libbalooqueryparser4 (= ${binary:Version}),
         libbaloopim4 (= ${binary:Version}),
         libbalooxapian4 (= ${binary:Version}),
         libkfilemetadata-dev (>= 4:4.13.0),
         ${misc:Depends},
Conflicts: baloo-kf5-dev
Replaces: baloo (<< 4:4.13.90)
Breaks: baloo (<< 4:4.13.90)
Description: development files for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo.
 .
 Baloo is part of KDE SC.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# disable unit testing on build, avoid the extra build-dependencies
.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	 $(overridden_command) -- -xbaloo -xkde-runtime -xkdepim-runtime

override_dh_strip:
	$(overridden_command) --dbgsym-migration='baloo-dbg (<< 4:4.14.3-1)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
         xvfb, xauth, dbus-x11,
         libqt4-sql-sqlite,
         kdelibs5-plugins,
         dh-acc, exuberant-ctags
Restrictions: build-needed
